# Example Request curl -X GET "https://api.getmetal.io/v1/datasources/{id}" \ --header 'Content-Type: application/json' \ --header 'x-metal-api-key: <api-key>' \ --header 'x-metal-client-id: <client-id>'
{ "data": { "id": "datasourceID", "createdAt": "2023-08-29T11:22:26.172Z", "createdBy": "userID", "name": "my_datasource", "metadataFields": [ { "name": "band", "type": "string", "description": "Which heavy metal band is represented by the iconic mascot Eddie?" } ], "sourcetype": "Text", "autoExtract": false, "createdAt": "2023-08-29T10:51:04.246Z", "createdBy": "userId", } }
This endpoint retrieves the details of a specific Datasource by its ID.
Documentation IndexFetch the complete documentation index at: https://docs.getmetal.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
Use this file to discover all available pages before exploring further.
Show properties